%define anolis_release 10
Name:           perl-Test-MemoryGrowth
Version:        0.04
Release:        %{anolis_release}%{?dist}
Summary:        Assert that code does not cause growth in memory usage
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Test-MemoryGrowth
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/Test-MemoryGrowth-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(base)
BuildRequires:  perl(constant)
# Devel::MAT::Dumper is optional
# XXX: BuildRequires:  perl(Devel::MAT::Dumper)
BuildRequires:  perl(Test::Builder::Module)
# Tests only
BuildRequires:  perl(Test::Builder::Tester)
BuildRequires:  perl(Test::More)
Recommends:     perl(Devel::Gladiator)

%description
This module provides a function to check that a given block of code does
not result in the process consuming extra memory once it has finished.
Despite the name of this module it does not, in the strictest sense of the
word, test for a memory leak: that term is specifically applied to cases
where memory has been allocated but all record of it has been lost, so it
cannot possibly be reclaimed. While the method employed by this module can
detect such bugs, it can also detect cases where memory is still referenced
and reachable, but the usage has grown more than would be expected or
necessary.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Test-MemoryGrowth-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changes README

%changelog
* Thu Feb 9 2023 Funda Wang <fundawang@yeah.net> - 0.04-10
- Import package for anolis 23
